<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!--
IGAC proyecto SNC

@author 		felipe.cadena
@version		1.0
@description	test CU-SA-AC-018        


@ManagedBean 	
-->
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:fn="http://java.sun.com/jsp/jstl/functions"
                xmlns:ui="http://java.sun.com/jsf/facelets" 
                xmlns:p="http://primefaces.org/ui"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                xmlns:predio="http://java.sun.com/jsf/composite/predio"
                xmlns:avaluos="http://java.sun.com/jsf/composite/avaluos"
                template="/templates/generalCU.xhtml">

    <ui:define name="title">
        .::Sistema Nacional Catastral::. .::Administrar observaciones de cotización::.
    </ui:define>

    <ui:define name="content">

        <h:outputScript library="javascript" name="snc_visor_client.js"
                        target="head" />
        <h:outputStylesheet library="css" name="snc_visor_client.css" />

        <h:form id="observacionesAvaluoForm">


            <p:spacer height="5" width="0" />

            <p:fieldset>

                <legend>
                    <h:outputText value="Información del avalúo" styleClass="legendTitle" />
                </legend>
                <p:messages id="msgsObsAva" showDetail="false" globalOnly="false" />

                <h:panelGrid columns="4" cellspacing="7" width="100%">

                    <h:outputLabel value="Sec. radicado: " styleClass="outputLabelStyle" />
                    <p:commandLink id="solicitudLink-2"
                                   immediate="true"
                                   styleClass="commandLinkStyle"
                                   onstart="statusDialog2.show();"
                                   update=":isCC:infoSolicitudTV"
                                   oncomplete="infoSolicitudCCWV.show();statusDialog2.hide()"
                                   value="#{administrarObservacionesCotizacion.avaluo.secRadicado}"
                                   action="#{consultaInformacionSolicitud.consultarSecRadicado}">
                        <f:setPropertyActionListener value="#{administrarObservacionesCotizacion.avaluo.secRadicado}"
                                                     target="#{consultaInformacionSolicitud.numeroSecRadicado}"/>

                    </p:commandLink>


                    <h:outputLabel value="Tipo avalúo:" styleClass="outputLabelStyle" />

                    <h:outputText id="AvaluoTipoAvaluoV-2" styleClass="outputTextStyle"
                                  value="#{administrarObservacionesCotizacion.avaluo.tipoAvaluo}">
                        <f:converter converterId="converterCB"
                                     for="AvaluoTipoAvaluoV-2" />
                    </h:outputText>

                    <h:outputLabel value="Departamento: " styleClass="outputLabelStyle" />

                    <p:commandLink rendered="#{administrarObservacionesCotizacion.avaluo.tienePrediosEnDiferentesDeptos}"
                                   id="infoDeptosLink"
                                   styleClass="commandLinkStyle"
                                   value="#{administrarObservacionesCotizacion.avaluo.avaluoPredios[0].departamento.nombre}"
                                   action="#{consultarDptoMunpioAvaluo.cargarDeptosMunisAvaluo}"
                                   update=":consultarDepartamentosMunicipioForm"
                                   onstart="statusDialog2.show();"
                                   immediate="true"
                                   oncomplete="infoDeptosMunisWV.show();statusDialog2.hide();">
                        <f:setPropertyActionListener
                            value="#{administrarObservacionesCotizacion.avaluo}"
                            target="#{consultarDptoMunpioAvaluo.avaluoSeleccionado}" />
                    </p:commandLink>
                    <h:outputText rendered="#{!administrarObservacionesCotizacion.avaluo.tienePrediosEnDiferentesDeptos}"
                                  styleClass="outputTextStyle"
                                  value="#{administrarObservacionesCotizacion.avaluo.avaluoPredios[0].departamento.nombre}"/>



                    <h:outputLabel value="Municipio: " styleClass="outputLabelStyle" />

                    <p:commandLink rendered="#{administrarObservacionesCotizacion.avaluo.tienePrediosEnDiferentesMunicipios}"
                                   id="infoMunicipiosLink"
                                   styleClass="commandLinkStyle"
                                   value="#{administrarObservacionesCotizacion.avaluo.avaluoPredios[0].municipio.nombre}"
                                   action="#{consultarDptoMunpioAvaluo.cargarDeptosMunisAvaluo}"
                                   update=":consultarDepartamentosMunicipioForm"
                                   onstart="statusDialog2.show();"
                                   immediate="true"
                                   oncomplete="infoDeptosMunisWV.show();statusDialog2.hide();">
                        <f:setPropertyActionListener
                            value="#{administrarObservacionesCotizacion.avaluo}"
                            target="#{consultarDptoMunpioAvaluo.avaluoSeleccionado}" />
                    </p:commandLink>

                    <h:outputText rendered="#{!administrarObservacionesCotizacion.avaluo.tienePrediosEnDiferentesMunicipios}"
                                  styleClass="outputTextStyle"
                                  value="#{administrarObservacionesCotizacion.avaluo.avaluoPredios[0].municipio.nombre}"/>

                    <h:outputLabel value="Solicitante: " styleClass="outputLabelStyle" />

                    <h:outputText styleClass="outputTextStyle"           
                                  value="#{administrarObservacionesCotizacion.avaluo.solicitante.nombreCompleto}">
                    </h:outputText>

                    <h:outputLabel value="Nombre avaluador:"
                                   styleClass="outputLabelStyle" />
                    <p:commandLink
                        value="#{administrarObservacionesCotizacion.avaluo.avaluoAsignacionProfesionals[0].profesionalAvaluo.nombreCompleto}"
                        styleClass="commandLinkStyle"
                        action="#{consultarAvaluadoresAsignados.cargarAvaluadoresAsignados}"
                        update=":consultarAvaluadoresAsignadosPG"
                        onstart="statusDialog2.show();"
                        immediate="true"
                        oncomplete="statusDialog2.hide();
                        infoAvaluadoresAsignadosWV.show();"
                        rendered="#{administrarObservacionesCotizacion.avaluo.tieneMultiplesAvaluadores}">
                        <f:setPropertyActionListener
                            value="#{administrarObservacionesCotizacion.avaluo.secRadicado}"
                            target="#{consultarAvaluadoresAsignados.secRadicado}" />
                    </p:commandLink>

                    <h:outputText
                        rendered="#{!administrarObservacionesCotizacion.avaluo.tieneMultiplesAvaluadores}"
                        styleClass="outputTextStyle"
                        value="#{administrarObservacionesCotizacion.avaluo.avaluoAsignacionProfesionals[0].profesionalAvaluo.nombreCompleto}" />


                    <h:outputLabel value="Número de predios"
                                   styleClass="outputLabelStyle" />
                    <h:outputText
                        value="#{fn:length(administrarObservacionesCotizacion.avaluo.avaluoPredios)}"
                        styleClass="outputTextStyle" />
                    <h:outputLabel value="Valor total cotización"
                                   styleClass="outputLabelStyle" />
                    <h:outputText
                        value="#{administrarObservacionesCotizacion.avaluo.valorCotizacion}"
                        styleClass="outputTextStyle" />

                    <p:commandLink id="infoPredialLink"
                                   styleClass="commandLinkStyle"
                                   value="Información predial"
                                   action="#{consultaInformacionPredial.cargarInformacionPredial}"
                                   update=":pdsDialog"
                                   immediate="true"
                                   onstart="statusDialog2.show();"
                                   oncomplete="statusDialog2.hide(); infoPredialWV.show();">
                        <f:setPropertyActionListener value="#{administrarObservacionesCotizacion.avaluo}"
                                                     target="#{consultaInformacionPredial.avaluoSeleccionado}" />
                    </p:commandLink>



                </h:panelGrid>

                <p:separator />

                <legend>
                    <h:outputText value="Observaciones"
                                  styleClass="legendTitle" />
                </legend>

                <h:panelGrid columns="1" cellspacing="7" width="100%">


                    <p:dataTable id="obsDT"
                                 value="#{administrarObservacionesCotizacion.observaciones}" var="obs"
                                 paginator="true" rows="10"
                                 selection="#{administrarObservacionesCotizacion.observacionActual}" selectionMode="single"
                                 paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                                 rowsPerPageTemplate="10,20,30" paginatorPosition="bottom"
                                 rowKey="#{obs.id}"
                                 emptyMessage="No se encontraron observaciones asociadas al avalúo">

                        <p:ajax event="rowSelect" listener="#{administrarObservacionesCotizacion.listenerSeleccion}"   
                                update=":observacionesAvaluoForm:obsTxt,
                                :observacionesAvaluoForm:panelBtn" />  

                        <f:facet name="header">
                            Observaciones asociadas al avalúo
                        </f:facet>

                        <p:column headerText="Fecha observación">
                            <h:outputText styleClass="outputTextStyle"           
                                          value="#{obs.fechaObservacion}">
                                <f:convertDateTime pattern="#{general.formatoFechaUsuario2}" />
                            </h:outputText>
                        </p:column>

                        <p:column headerText="Observaciones">
                            <h:outputText styleClass="outputTextStyle" value="#{obs.observacionCorta}" />
                        </p:column>
                        <p:column headerText="Fecha envio">
                            <h:outputText styleClass="outputTextStyle"           
                                          value="#{obs.fechaEnvio}">
                                <f:convertDateTime pattern="#{general.formatoFechaUsuario2}" />

                            </h:outputText>
                        </p:column>

                    </p:dataTable>

                    <h:panelGrid>
                        <h:panelGrid columns="2">
                            <h:outputLabel value="Observación:" styleClass="outputLabelStyle" />
                            <h:outputLabel value="* " styleClass="requiredLabelStyle" />
                        </h:panelGrid>

                        <h:panelGrid columns="2">
                            <h:inputTextarea style="width: 800px" id="obsTxt" required="true" 
                                             requiredMessage="Debe ingresar la observación"
                                             value="#{administrarObservacionesCotizacion.observacionActual.observacion}"
                                             disabled="#{!administrarObservacionesCotizacion.banderaEdicion}"/>
                            <p:message  for="obsTxt" display="icon"/>  
                        </h:panelGrid>
                    </h:panelGrid>

                    <h:panelGrid columns="6" cellspacing="7" id="panelBtn" >

                        <p:commandButton value="Aceptar"
                                         icon="ui-icon-check"
                                         action="#{administrarObservacionesCotizacion.crearObservacion}"
                                         disabled="#{!administrarObservacionesCotizacion.banderaEdicion}"
                                         update=":observacionesAvaluoForm" onstart="statusDialog2.show();"
                                         oncomplete="statusDialog2.hide();">
                        </p:commandButton>

                        <p:commandButton value="Modificar"
                                         icon="ui-icon-pencil"
                                         disabled="#{!administrarObservacionesCotizacion.banderaPermiteEdicion}"
                                         action="#{administrarObservacionesCotizacion.modificarObservacion}"
                                         update=":observacionesAvaluoForm" onstart="statusDialog2.show();"
                                         oncomplete="statusDialog2.hide();">
                        </p:commandButton>
                        <p:commandButton value="Nueva observación"
                                         icon="ui-icon-circle-plus"
                                         action="#{administrarObservacionesCotizacion.adicionarObservacion}"
                                         update=":observacionesAvaluoForm" onstart="statusDialog2.show();"
                                         oncomplete="statusDialog2.hide();">
                        </p:commandButton>
                        <p:commandButton value="Enviar observación"
                                         icon="ui-icon-mail-closed"
                                         action="#{administrarObservacionesCotizacion.enviarObservacion}"
                                         disabled="#{!administrarObservacionesCotizacion.banderaEnvio}"
                                         update=":observacionesAvaluoForm" onstart="statusDialog2.show();"
                                         oncomplete="statusDialog2.hide();">
                        </p:commandButton>
                        <p:commandButton value="Finalizar"
                                         icon="ui-icon-arrowstop-1-e"
                                         action=" "
                                         update=":observacionesAvaluoForm" onstart="statusDialog2.show();"
                                         oncomplete="statusDialog2.hide(); alert('Avanzar proceso');">
                        </p:commandButton>

                    </h:panelGrid>

                </h:panelGrid>

                <p:outputPanel layout="block" style="text-align:right">
                    <p:commandButton value="Cerrar"
                                     action="#{consultaSolicitudesAvaluosEnProceso.cerrar}"
                                     icon="ui-icon-circle-close" immediate="true" ajax="false"/>
                    <p:spacer height="0" width="20" />
                </p:outputPanel>
            </p:fieldset>
        </h:form>


        <p:dialog header="Adicionar solicitante" dynamic="true"
                  widgetVar="addSolicitanteDialogWV" width="900" appendToBody="true"
                  modal="true">
            <p:panel header="Datos del solicitante">
                <ui:include src="/avaluos/util/capturaDatosSolicitante.xhtml">
                    <ui:param name="adicionarSolicitanteWvParam"
                              value="guardarSolicitanteConfirmationWV" />
                </ui:include>
            </p:panel>
        </p:dialog>

        <p:dialog id="adminAnexos" widgetVar="administrarAnexosWV"
                  header="Anexos relacionados" appendToBody="true" closable="true"
                  minimizable="false" dynamic="true" width="900">
            <ui:include src="/avaluos/ingresoSolicitud/administrarAnexos.xhtml">
                <ui:param name="managedBeanParam"
                          value="#{administracionDocumentacionAvaluoComercial}" />
            </ui:include>
        </p:dialog>

        <p:dialog widgetVar="infoPredialWV" header="Información predial del avalúo"
                  appendToBody="true" closable="true" minimizable="false"
                  id="pdsDialog"
                  dynamic="true" width="900">
            <ui:include src="/avaluos/transversal/consultarInformacionPredial.xhtml">
                <ui:param name="detallesPredioCadenaIdsParam"
                          value=":dpCC:detallesPredioTV" />
            </ui:include>
        </p:dialog>

        <p:dialog widgetVar="infoDeptosMunisWV" header="Municipios y departamentos asociados al avalúo"
                  appendToBody="true" closable="true" minimizable="false"
                  id="deptoDialog"
                  dynamic="true" width="500">
            <ui:include src="/avaluos/transversal/consultarDepartamentosMunicipiosAvaluo.xhtml"/>
        </p:dialog>

        <p:dialog widgetVar="infoAvaluadoresAsignadosWV" header="Profesionales de avalúos"
                  appendToBody="true" closable="true" minimizable="false"
                  id="avaluadoresDialog"
                  dynamic="true" width="750">
            <ui:include src="/avaluos/asignacion/consultarAvaluadoresAsignados.xhtml"/>
        </p:dialog>



        <misc:ultimateConfirmDialogCC
            confirmMessage="¿Está seguro de que el trámite requiere comité de avalúos?"
            confirmDialogWV="confirmaComiteWV"
            voidActionOnYes="#{realizaInformeControlCalidad.mostrarActaComite}"
            yesLabel="Aceptar" noLabel="Cancelar" 
            useStringActionOnYes="false" 
            useStringActionOnNo="false" actionOnNoIsClose="true"/>

        <misc:docViewerWithCloseDecisionCC id="docViewer"
                                           confirmUpdate=":documentacionPagosTV:administrarDocumentacionAvaluoForm:msgsDocTramiteAvaluo"
                                           confirmDialogWV="docAvaluosViewerWV" ajaxBehavior="true"
                                           selectedDocumentAtt="#{previsualizacionDocumento.rutaArchivoTemporal}"
                                           showDownloadButton="#{previsualizacionDocumento.documentoDwg}"
                                           fileContent="#{previsualizacionDocumento.reporteDTO.streamedContentReporte}"
                                           doctypeAtt="#{administracionDocumentacionAvaluoComercial.tipoMimeDocTemporal}"
                                           headerLabel="Previsualización de documento" noRendered="false"
                                           yesRendered="false" />

        <predio:detallesPredioCC id="dpCC" thisWVName="detallesPredioWV"
                                 mostrarDatosPropietarios="true" mostrarDatosTramites="false"
                                 mostrarFichaPredial="true"
                                 thisIdPlusColon=":dpCC" />

        <avaluos:informacionSolicitudCC id="isCC" 
                                        thisWVName="infoSolicitudCCWV" 
                                        thisId="isCC"
                                        mostrarInfoPago="false"
                                        detallePredioWVName="detallesPredioWV"
                                        detallePredioId="dpCC"
                                        infoPredialWVName="prediosWV"
                                        infoPredialId="pdsDialog"
                                        managedBean="#{consultaInformacionSolicitud}" />

        <ui:include src="/util/visorGeografico.xhtml" />

        <misc:visualizadorMemorandosCC id="viewMemo" thisWVName="memorandoWV"
                                       radicarButtonEnabled="false"
                                       urlDocumento="#{previsualizacionDocumento.reporteDTO.urlWebReporte}"
                                       fileContent="#{previsualizacionDocumento.reporteDTO.streamedContentReporte}"/>     

    </ui:define>


</ui:composition>

